Subject: Re: [PATCH v1 4/5] powerpc: Remove cpu-as-y completely

From: Michael Ellerman <[email-masked]>
Date: Sun, 25 Feb 2024 10:52:58 +1100

Christophe Leroy <[email-masked]> writes:
> Le 20/02/2023 à 07:00, Michael Ellerman a écrit :
>> Christophe Leroy <[email-masked]> writes:
>>> cpu-as-y is there to force assembler building options.
>>> But there is no need for that. Gcc is passed the necessary
>>> options and it automatically pass the appropriate option to
>>> GAS.
>>>
>>> GCC is given -maltivec when relevant, so no need
>>> for -Wa,-maltivec in addition
>>>
>>> And -Wa,-many is wrong as it will hide innapropriate
>>> instructions. Better to detect them and handle them on a
>>> case by case basis.
>>> -Wa,-many was added by commit 960e30029863 ("powerpc/Makefile:
>>> Fix PPC_BOOK3S_64 ASFLAGS") in order to fix an issue with
>>> clang and the passed -Wa,-mpower4 option. But we have now
>>> removed it expecting the compiler to automatically pass the
>>> proper options and instructions based on -mcpu=power4
>> 
>> I wanted to apply this one, but it caused a lot of breakage for big
>> endian Book3S-64 builds - where we build for power4 but have lots of
>> code that uses >= power5 instructions.
>> 
>> I'll try and get those all fixed and pick this up for the next merge
>> window.
>
> ping ?

Brutal :)

There's still a few issues, I have patches for most of them I think.
Will post this week.

cheers